from .version import VERSION

class LowerUpper(object):
    """
    >>> FOO = LowerUpper('Bar')
    
    This translates to:
    >>> FOO = 'Bar'
    ... FOO_UPPER = 'BAR'
    ... FOO_LOWER = 'bar'
    """
    def __init__(self, value):
        self.value = value


PYTHON_DISTRIBUTION_NAME = 'infinishell'

COMPANY_NAME        = LowerUpper('Infinidat')
COMPANY_FULL_NAME   = COMPANY_NAME.value + ' Ltd.'
PRODUCT_NAME        = LowerUpper('InfiniBox')
CLIENT_NAME         = LowerUpper('InfiniShell')
CLIENT_LONG_NAME    = "Command Line Shell v{}".format(VERSION)
CLIENT_FULL_NAME    = "{} {}".format(PRODUCT_NAME.value, CLIENT_LONG_NAME)


def __fill_in_string_cases__():
    g = globals()
    for attr, value in g.items():
        if attr.isupper() and isinstance(value, LowerUpper):  # noqa
            g[attr] = value.value
            g[attr + '_LOWER'] = value.value.lower()
            g[attr + '_UPPER'] = value.value.upper()


__fill_in_string_cases__()
del __fill_in_string_cases__, LowerUpper
