from infi.shell.commands import commandgroup, command, internal
from infi.shell.rlcontext import get_active_rlcontext

from ...utils import get_username_password
from ..system import system
from ..remote import clear_remote_system_cache
from .types import Username

@commandgroup(prefix="")
class GeneralCommands(object):
    @internal
    @command(
        description="Login as another user",
        types=(Username,),
        )
    def login(self, _api, username=None):
        username, password = get_username_password(username)
        system.login(username, password)
        clear_remote_system_cache()
        rlcontext = get_active_rlcontext(safe=True)
        if rlcontext is not None:
            rlcontext.clear_completion_cache()
