from infi.shell.formatters import DecamelizeExceptionFormatter
from .exceptions import ManagementException, Prefixless

class InfinidatExceptionFormatter(DecamelizeExceptionFormatter):
    def format(self, exc_info):
        e = exc_info[1]
        if isinstance(e, ManagementException):
            return self._format_mgmt_exc(exc_info)
        if isinstance(e, Prefixless):
            return e.message
        return super(InfinidatExceptionFormatter, self).format(exc_info)
    def _format_mgmt_exc(self, exc_info):
        return "{e.code}: {e.message}".format(e=exc_info[1])
