# Flake8: noqa
from importlib import import_module
from infi.shell import manifest

__all__ = ["manifest"]

COMMAND_MODULES = """

    general
    magic

    system
    pool
    volume
    host
    cluster
    mapping
    filesystem
    filesystem_export
    consgroup
    replication
    
    node
    enclosure
    drive

    events
    user
    metadata

    config
    config.general
    config.notifications
    config.ldap
    config.system
    config.fc
    config.network

"""

def import_commands():
    this_package_name = __name__[:__name__.rfind('.')]
    for commands_module in COMMAND_MODULES.split():
        import_module(this_package_name + ".commands." + commands_module)

import_commands()
del import_commands
